Bug 1655925 (CVE-2018-19788) - CVE-2018-19788 polkit: Improper handling of user with uid > INT_MAX leading to authentication bypass
Summary: CVE-2018-19788 polkit: Improper handling of user with uid > INT_MAX leading t...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-19788
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1757205 1655926 1656377 1656378
Blocks: 1655928
TreeView+ depends on / blocked
 
Reported: 2018-12-04 09:27 UTC by Andrej Nemec
Modified: 2019-09-30 20:22 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:20:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2046 None None None 2019-08-06 12:07:15 UTC
Red Hat Knowledge Base (Solution) 25404 None None None 2019-09-30 10:15:12 UTC

Description Andrej Nemec 2018-12-04 09:27:26 UTC
It was found that creating a user of group above INT32_MAX would wrap around the numeric uid or gid. Polkit is not able to handle this properly, resulting in an authentication bypass.

References:

https://seclists.org/oss-sec/2018/q4/198

Upstream issue:

https://gitlab.freedesktop.org/polkit/polkit/issues/74

Proposed patch:

https://gitlab.freedesktop.org/zbyszek/polkit/commit/fbaab32cb4ed9ed5f1e3eea6cd317d443aa427dc

Comment 1 Andrej Nemec 2018-12-04 09:27:37 UTC
Created polkit tracking bugs for this issue:

Affects: fedora-all [bug 1655926]

Comment 3 Stefan Cornelius 2018-12-05 10:53:55 UTC
Mitigation:

Do not allow negative UIDs or UIDs greater than 2147483646.

Comment 8 Shawn Wells 2018-12-06 19:19:02 UTC
Bump. Any update on getting this patched? 

Currently this bug allows non-privileged users to escalate to root.

Comment 12 Doran Moppert 2019-01-02 01:59:58 UTC
Statement:

This issue affects the versions of polkit as shipped with Red Hat Enterprise Linux 6 and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the versions of polkit as shipped with Red Hat Virtualization 4. System users beyond those created at installation time are typically not used in Red Hat Virtualization Hypervisor or Management Appliance hosts, nor is there any opportunity to accidentally or maliciously create a user with a dangerous uid/gid on these systems under normal operation. For Red Hat Virtualization, this vulnerability has been rated as having a security impact of Low. Future updates may address this issue.

Comment 17 errata-xmlrpc 2019-08-06 12:07:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2046 https://access.redhat.com/errata/RHSA-2019:2046

Comment 18 Product Security DevOps Team 2019-08-06 19:20:18 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19788


Note You need to log in before you can comment on or make changes to this bug.